Skip to main content
GET
/
streamers
/
{mint}
/
complete
Get complete streamer data
curl --request GET \
  --url https://api.livesuite.app/streamers/{mint}/complete \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "mintId": "AxSMXaM3KeQ3a6HDfGizJaRnzGqrDHJg3uyZbwZUpump",
    "name": "Pump Portal",
    "symbol": "PUMP",
    "description": "<string>",
    "image_uri": "<string>",
    "website": "<string>",
    "twitter": "<string>",
    "telegram": "<string>",
    "creator": "<string>",
    "created_timestamp": "2023-11-07T05:31:56Z",
    "tokenAge": "<string>",
    "price": {
      "usd": 123,
      "change_24h": 123,
      "change_percentage_24h": 123
    },
    "marketCap": {
      "usd": 123,
      "quote": 123
    },
    "volume": {
      "usd_24h": 123,
      "usd_7d": 123
    },
    "supply": {
      "total": 123,
      "circulating": 123
    },
    "holders": 123,
    "decimals": 123,
    "isCurrentlyLive": true,
    "currentViewers": 123,
    "totalStreamingTime": 123,
    "totalStreamingTimeFormatted": "<string>",
    "totalSessions": 123,
    "lastStreamStart": "2023-11-07T05:31:56Z",
    "peakMetrics": {
      "peakViewers": 123,
      "peakViewersTimestamp": "2023-11-07T05:31:56Z",
      "peakViewersToday": 123,
      "peakViewersWeek": 123,
      "averageViewers": 123
    },
    "recentSessions": [
      {
        "sessionId": 123,
        "startTime": "2023-11-07T05:31:56Z",
        "endTime": "2023-11-07T05:31:56Z",
        "totalSessionTime": 123,
        "totalSessionTimeFormatted": "<string>",
        "isActive": true,
        "numParticipants": 123,
        "mode": "<string>"
      }
    ],
    "complete": true,
    "bonding_curve": "<string>",
    "raydium_pool": "<string>"
  },
  "timestamp": "2024-01-15T10:30:00.000Z"
}

Authorizations

x-api-key
string
header
required

API key for API authentication

Path Parameters

mint
string
required

Streamer mint ID

Required string length: 32 - 44

Query Parameters

chain
enum<string>
default:solana

Blockchain chain (solana for PumpFun, base for Zora/Retake, all for aggregated data from all)

Available options:
solana,
base,
all
platform
enum<string>
default:pumpfun

Platform (pumpfun for Solana, zora/retake for Base, all for aggregated data from all)

Available options:
pumpfun,
zora,
retake,
all

Response

Complete streamer data including overview, peak metrics, and recent sessions

success
boolean
Example:

true

data
object
timestamp
string<date-time>
Example:

"2024-01-15T10:30:00.000Z"